Subject: Re: [PATCH] move MAXDEPTH definition to the cache.h

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Jan 2015 16:24:07 -0800

Alexander Kuleshov <[email-masked]> writes:

> There are a couple of source code files as abspath.c, lockfile.c and etc...,
> which defines MAXDEPTH macro. All of these definitions are the same,...

Are they the same by design (because there are logical linkage
between these values and there is a reason why they must share the
same value), or are they happen to be the same (i.e. one can be
raised for some reason without affecting others)?

I am guessing that it is the latter, and if that is the case, then
they should not be made into a single symbol.